#
# spec file for package python-castellan
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname castellan
Name:           python-castellan
Version:        0.4.0
Release:        1.1
Summary:        Generic Key Manager interface for OpenStack
License:        Apache-2.0
Group:          Developement/Languages/Python
Url:            http://launchpad.net/castellan
Source0:        https://pypi.io/packages/source/c/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-barbicanclient >= 4.0.0
BuildRequires:  python-coverage >= 3.6
BuildRequires:  python-cryptography >= 1.0
BuildRequires:  python-oslo.config >= 3.14.0
BuildRequires:  python-oslo.log >= 1.14.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-python-subunit >= 0.0.18
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-Babel >= 2.3.4
Requires:       python-cryptography >= 1.0
Requires:       python-oslo.config >= 3.14.0
Requires:       python-oslo.context >= 2.6.0
Requires:       python-oslo.log >= 1.14.0
Requires:       python-oslo.policy >= 1.9.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.16.0
BuildArch:      noarch

%description
Generic Key Manager interface for OpenStack.

%package doc
Summary:        Documentation for castellan
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Castellan is a generic Key Manager interface for OpenStack.
This package contains the documentation

%prep
%setup -q -n %{sname}-%{version}

%build
%py2_build
# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
# Functional tests require a working Keystone infrastructure
OS_TEST_PATH=./castellan/tests/unit %{__python2} setup.py test

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{sname}
%{python2_sitelib}/%{sname}-*-py?.?.egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Thu Sep  8 2016 tbechtold@suse.com
- Update _service and switch to upstream spec template
* Mon Jun 20 2016 dmueller@suse.com
- update to 0.4.0:
  * Add Credential Authentication Usage Documentation
  * Allow Barbican Key Manager to accept different auth credentials
  * Updated from global requirements
  * Add help to Castellan Credential Factory Opts
  * Updated from global requirements
  * Introduce Castellan Credential Factory
  * Updated from global requirements
  * Introduce Castellan Credential Objects
  * Add created property to Managed Objects
  * Update MockKeyManager to use given algorithm
  * Remove functional test dependency on config file
  * Mock key manager takes configuration as an arg
  * Updated from global requirements
  * Clean up removed hacking rule from [flake8] ignore lists
  * Use Keystone V3 Identity Plugins for Functional Tests
  * Updated from global requirements
  * Add logic to error out of key creation if order errors out
  * Update docs with parsing config files
  * Removes MANIFEST.in as it is not needed explicitely by PBR
  * Remove py26 support from castellan
  * Updated from global requirements
  * Move line of code to ensure context and client stay in sync
* Wed Apr 13 2016 dmueller@suse.com
- install license
* Tue Dec 15 2015 dmueller@suse.com
- update to 0.3.1:
  * Add some documentation on enabling logging
  * Allow for default logging configuration to be user enabled
  * Mark castellan as being a universal wheel
  * Add gate hooks for Castellan functional tests
  * Update managed object __eq__ and __ne__
  * Updated from global requirements
  * Add the debug flag to tox.ini
  * Can not set auth_endpoint in runtime
  * Updated from global requirements
  * Allow log statements to be printed out in stdout
  * Add documentation links and fixup README.rst
  * Updated from global requirements
  * Add testing documentation to Castellan
  * Add contributing documentation to Castellan
  * Fix typo and add name to not_implemented and mock key_manager
  * Adds documentation on creating Oslo RequestContext in Castellan
  * Updated from global requirements
  * Add name to Castellan Objects and Barbican Key Manager
  * Fix some spelling typo in manual
  * Updated from global requirements
  * Update Barbican functional tests
  * Add ManagedObjectNotFoundError
  * Change ignore-errors to ignore_errors
  * Standardize Barbican error messages
* Tue Sep 15 2015 tbechtold@suse.com
- Initial packaging (version 0.2.1)
